local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____shouldFire = require("shouldFire")
local shouldFireProjectile = ____shouldFire.shouldFireProjectile
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostProjectileUpdateFilter = __TS__Class()
local PostProjectileUpdateFilter = ____exports.PostProjectileUpdateFilter
PostProjectileUpdateFilter.name = "PostProjectileUpdateFilter"
__TS__ClassExtends(PostProjectileUpdateFilter, CustomCallback)
function PostProjectileUpdateFilter.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireProjectile
    self.postProjectileUpdate = function(____, projectile)
        self:fire(projectile)
    end
    self.callbacksUsed = {{ModCallback.POST_PROJECTILE_UPDATE, self.postProjectileUpdate}}
end
return ____exports
